package com.bs.logisticslnfoapi.util.Enum;

/**
 * 平台<br>
 *
 * @className: PlatformEnum
 * @package: com.bs.logisticslnfoapi.util.Enum
 * @author: kael
 * @date: 2019/10/23 0023 下午 14:23
 */
public enum PlatformEnum {
    ALBB("ALBB","阿里巴巴", 1),
    JHY("JHY", "居欢颜",2),
    PDD("PDD", "拼多多",3),
    YT("YT", "圆通",4),
    YD("YD", "韵达",5),
    STO("STO", "申通",6),
    ZT("ZT", "中通",7),
    HT("BEST", "百世汇通",8),
    CaiNiao("CaiNiao", "菜鸟",9),
    YXS("YXS","优鲜生", 10),
    HKWS("HKWS", "海康威视",999),
    QT("QT", "其他",999);




    private String enValue;
    private String cnValue;
    private int key;

    PlatformEnum(String enValue,String cnValue, int key) {
        this.enValue = enValue;
        this.cnValue = cnValue;
        this.key = key;
    }

    public static String of(int code) {
        for (PlatformEnum returnCode : PlatformEnum.values()) {
            if (returnCode.getKey()==code) {
                return returnCode.getEnValue();
            }
        }
        return "";
    }

    public String getEnValue() {
        return enValue;
    }

    public void setEnValue(String enValue) {
        this.enValue = enValue;
    }

    public String getCnValue() {
        return cnValue;
    }

    public void setCnValue(String cnValue) {
        this.cnValue = cnValue;
    }

    public int getKey() {
        return key;
    }

    public void setKey(int key) {
        this.key = key;
    }
}
