package com.bs.logisticslnfoapi.bean.zhongtong;

import lombok.Builder;
import lombok.Data;

/**
 * @ClassName ZhongTongStoreSynRequest
 * @Description TODO
 * @Author Administrator
 * @Date 2019/8/27 0027 下午 13:59
 * @Version 1.0
 **/
@Data
@Builder
public class ZhongTongStoreSynRequest extends ZhongTongRequest{

    /**
     * companyCode : 1000
     * companyName : 中通
     * hallAddress : 隆安路205号临潮一村
     * hallCity : 上海市
     * hallCityId : 310100
     * hallCode : FC0211509
     * hallDistrict : 金山区
     * hallDistrictId : 310116
     * hallManager : 丰巢客服
     * hallName : 临潮一村(丰巢智能快递柜)
     * hallProvince : 上海
     * hallProvinceId : 310000
     * manOph : 4000633333
     * manPhone : 4000633333
     * siteCode : 02100
     * electFlag : true
     * longitude :
     * latitude :
     */

    private String companyCode;
    private String companyName;
    private String hallAddress;
    private String hallCity;
    private Integer hallCityId;
    private String hallCode;
    private String hallDistrict;
    private Integer hallDistrictId;
    private String hallManager;
    private String hallName;
    private String hallProvince;
    private Integer hallProvinceId;
    private String manOph;
    private String manPhone;
    private String siteCode;
    private boolean electFlag;
    private String longitude;
    private String latitude;
    private Integer hallType = 0;

}
