package com.bs.logisticslnfoapi.exceptions;

public class APIBusinessException extends BusinessException {
	private static final long serialVersionUID = 4985121904357929534L;
	
	private int code;
	
	public APIBusinessException() {
	}

	public APIBusinessException(String message, Throwable cause) {
		super(message, cause);
	}

	public APIBusinessException(String message) {
		super(message);
	}

	public APIBusinessException(Throwable cause) {
		super(cause);
	}
	
	public APIBusinessException(int code, String message, Throwable cause) {
		super(message, cause);
		this.code = code;
	}
	
	public APIBusinessException(int code, String message) {
		super(message);
		this.code = code;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}
}