package com.bs.logisticslnfoapi.factory.smsPlatform;

/**
 * @PackageName: com.bs.logisticslnfoapi.factory.smsPlatform
 * @ClassName: BaseSmsPlatform
 * @Description: 简单工厂_短信平台基类
 * @Author: liujs
 * @Date: 2020/05/18 上午 10:31
 * @Version: 1.0
 */
public interface BaseSmsPlatform {

    /**
     * 发送短信
     * @param params 发送短信参数
     * @return 返回结果
     * @throws Exception 异常
     */
    String sendSms(String params) throws Exception;
}
