package com.bs.logisticslnfoapi.service.jhy;

import com.bs.logisticslnfoapi.bean.ResultBean;
import com.bs.logisticslnfoapi.bean.jhy.JhyPhone;
import com.bs.logisticslnfoapi.bean.jhy.JhyPhonePushRequest;
import com.bs.logisticslnfoapi.bean.jhy.JhyPhoneStateRequest;

public interface JhyService {
    /**
     * 新增手机号码
     * @param data
     * @return
     * @throws Exception
     */
    ResultBean<Boolean> addPhone(String data) throws Exception;

    /**
     * 推送电话号码给居欢颜
     * @param jhyPhonePushRequest
     * @return
     * @throws Exception
     */
    String pushPhone(JhyPhonePushRequest jhyPhonePushRequest) throws Exception;

    /**
     * 推送签收状态给居欢颜
     * @param jhyPhoneStateRequest
     * @return
     * @throws Exception
     */
    String pushSign(JhyPhoneStateRequest jhyPhoneStateRequest) throws Exception;
}
